org.eclipse.viatra.query.tooling.ui.queryexplorer.adapters

## Class VQLEditorModelConnector

- java.lang.Object
- - org.eclipse.viatra.query.tooling.ui.queryexplorer.adapters.EMFModelConnector
  - - org.eclipse.viatra.query.tooling.ui.queryexplorer.adapters.VQLEditorModelConnector

- All Implemented Interfaces:
    IModelConnector

      public class VQLEditorModelConnector
      extends EMFModelConnector

  Model connector implementation for our own VQL model editor.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.adapters.EMFModelConnector

      `editorPart, logger, workbenchPage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VQLEditorModelConnector(org.eclipse.ui.IEditorPart editorPart, org.eclipse.xtext.ui.resource.IResourceSetProvider resourceSetProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Notifier` | `getNotifier(IModelConnectorTypeEnum modelConnectorTypeEnum)`
    `void` | `showLocation(java.lang.Object[] locationObjects)`

    - ### Methods inherited from class org.eclipse.viatra.query.tooling.ui.queryexplorer.adapters.EMFModelConnector

      `addListener, createTreePath, getCurrentSelection, getKey, getOwner, getSelectedEObjects, getSelectedEObjects, loadModel, navigateToElements, prepareSelection, removeListener, unloadModel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VQLEditorModelConnector

          public VQLEditorModelConnector(org.eclipse.ui.IEditorPart editorPart,
                                         org.eclipse.xtext.ui.resource.IResourceSetProvider resourceSetProvider)

  - ### Method Detail

    - #### getNotifier

          public org.eclipse.emf.common.notify.Notifier getNotifier(IModelConnectorTypeEnum modelConnectorTypeEnum)

      Specified by:
        `getNotifier` in interface `IModelConnector`
      Overrides:
        `getNotifier` in class `EMFModelConnector`
      Returns:
        A Notifier implementation for the given IModelConnectorType.

    - #### showLocation

          public void showLocation(java.lang.Object[] locationObjects)

      Specified by:
        `showLocation` in interface `IModelConnector`
      Overrides:
        `showLocation` in class `EMFModelConnector`
      Parameters:
        `locationObjects` - Shows the location of these objects inside the specific editor.